Subject: [alpine-aports] [PATCH] testing/tigervnc-client: new aport

From: Andrew Hills <[email-masked]>
Date: Fri, 29 May 2015 00:24:33 -0400

http://tigervnc.org/
A high-performance, platform-neutral VNC client"

Note: TigerVNC also provides a server, but building it is more
effort than it is worth. It's recommended to install a different
VNC server; this builds only vncviewer.
---
 testing/tigervnc-client/APKBUILD | 43 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/tigervnc-client/APKBUILD

diff --git a/testing/tigervnc-client/APKBUILD b/testing/tigervnc-client/APKBUILD
new file mode 100644
index 0000000..7f84cdc
--- /dev/null
+++ b/testing/tigervnc-client/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Andrew Hills <[email-masked]>
+# Maintainer: Andrew Hills <[email-masked]>
+_basepkg=tigervnc
+pkgname=$_basepkg-client
+pkgver=1.4.3
+pkgrel=0
+pkgdesc="A high-performance, platform-neutral VNC client"
+url="http://tigervnc.org/"
+arch="all"
+license="GPL2"
+depends="libjpeg-turbo libx11 fltk zlib libxext libxtst libxdamage gcc"
+depends_dev=""
+makedepends="$depends_dev cmake zlib-dev libjpeg-turbo-dev libx11-dev fltk-dev libxext-dev libxtst-dev libxdamage-dev"
+install=""
+subpackages="$pkgname-doc"
+source="saveas-https://github.com/TigerVNC/tigervnc/archive/v$pkgver.tar.gz/$_basepkg-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_basepkg-$pkgver"
+build() {
+	cd "$_builddir"
+	mkdir build && cd build || return 1
+	cmake -G "Unix Makefiles" -Wno-dev \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DENABLE_GNUTLS=OFF \
+	-DENABLE_NLS=OFF \
+	-DENABLE_PAM=OFF \
+	.. || return 1
+	make
+}
+
+package() {
+	cd "$_builddir"/build
+	make DESTDIR="$pkgdir" install || exit 1
+	# Apparently, these can't be disabled via cmake
+	for superfluous in x0vncserver vncserver vncconfig vncpasswd; do
+		rm "$pkgdir"/usr/share/man/man1/$superfluous.1 \
+			"$pkgdir"/usr/bin/$superfluous
+	done
+}
+
+md5sums="2177ee42fa1a3902b6feeaa7747f1c2a  tigervnc-1.4.3.tar.gz"
+sha256sums="0b2603db2b32dfd6e48f6f59618bd9819d187bfbb0c16218637d074a69756824  tigervnc-1.4.3.tar.gz"
+sha512sums="4c740211de5a93470019350ad4b233ed0e9d2464fda8eb6ec0206c01deb6cd8e8df0e9f792ce00c9e7553a39cbe40cb80b7c74dd5469ae4ced79d33046f76b95  tigervnc-1.4.3.tar.gz"
-- 
2.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Isaac Dunham <[email-masked]>
Date: Thu, 28 May 2015 21:58:44 -0700

> +++ b/testing/tigervnc-client/APKBUILD

This is wrong.
All library dependencies should be picked up automatically.
(Also, "gcc" isn't the gcc libraries, but the compiler.)

> +	-DCMAKE_INSTALL_PREFIX=/usr \

This will work for native builds, but seems incomplete.

---

---

From: Andrew Hills <[email-masked]>
Date: Fri, 29 May 2015 08:03:12 -0400

> All library dependencies should be picked up automatically.

Right, I thought the abuild output was to instruct the packager; I will
remove these and resubmit if it is still valuable to keep the package
(see below).

> (Also, "gcc" isn't the gcc libraries, but the compiler.)

The explicit dependency detected by abuild is libgcc_s.so, which is owned
by the gcc package, not gcc-libs or anything like that. But regardless, it
will be removed.

> This will work for native builds, but seems incomplete.

What do you mean, native builds? What are the alternatives?

I disabled gnutls and NLS support because, even with the required libraries,
it would not build. It is certainly incomplete; TigerVNC's build system is a
travesty. At this point I think I would rather just do the work to find
another vncviewer, and preemptively abandon this package.

---

---

From: Isaac Dunham <[email-masked]>
Date: Fri, 29 May 2015 17:42:54 -0700

> by the gcc package, not gcc-libs or anything like that. But regardless, it

libgcc_s.so is a symlink (owned by gcc) to libgcc_s.so.1 (owned by
libgcc).
The text that abuild spits out may say libgcc_s.so, but the soname
is what it actually depends on.

> another vncviewer, and preemptively abandon this package.

Native builds are when you compile a package to run it on the same
architecture.
The alternative is cross-compiling (building for ARM from x86), and
Alpine tries to support that.

Thanks,
Isac Dunham

---

---

From: IT Offshore Developer <[email-masked]>
Date: Sat, 30 May 2015 03:17:22 +0100

I added virt-viewer [1] with spice & vnc support to the repos recently.
The full screen support is very good & it also auto resizes the desktop.

Stuart.

On 2015-05-30 01:42, Isaac Dunham wrote:
>> > > + cmake -G "Unix Makefiles" -Wno-dev 
>> > > + -DCMAKE_INSTALL_PREFIX=/usr 
>> > > + -DENABLE_GNUTLS=OFF 
>> > > + -DENABLE_NLS=OFF 
>> > > + -DENABLE_PAM=OFF 
>> > > + .. || return 1
>> > > + make
>>

Links:
------
[1] http://pkgs.alpinelinux.org/package/testing/x86/virt-viewer